Package Details: lit 3.5.4-1

Git Clone URL: https://aur.archlinux.org/lit.git (read-only)
Package Base: lit
Description: Toolkit for developing, sharing, and running luvit/lua programs and libraries.
Upstream URL: https://github.com/luvit/lit
Keywords: lua luvit manager package
Licenses: Apache
Submitter: SoniEx2
Maintainer: SoniEx2
Last Packager: SoniEx2
Votes: 0
Popularity: 0.000000
First Submitted: 2016-07-12 16:56
Last Updated: 2017-05-23 17:54

Dependencies (2)

Required by (1)

Sources (2)

Latest Comments

SoniEx2 commented on 2017-04-23 14:00

It appears this doesn't build with luvi-git because luvi-git is broken (uses `make tiny` instead of `make regular`). Please use luvi-bin, or report to luvi-git.

PhCl commented on 2017-04-23 12:58

==> Starting build()...
lit version: 3.5.2
luvi version: v2.7.6-3-g92128b1
command: make lit-3.5.2.zip ./lit ./fakeluvi
fail: [string "bundle:deps/ssh-rsa.lua"]:11: module 'openssl' not found:
no file 'bundle:deps/deps/openssl'
no file 'bundle:deps/deps/openssl.lua'
no file 'bundle:deps/deps/openssl/init.lua'
no file 'bundle:deps/libs/openssl'
no file 'bundle:deps/libs/openssl.lua'
no file 'bundle:deps/libs/openssl/init.lua'
no file 'bundle:deps/openssl'
no file 'bundle:deps/openssl.lua'
no file 'bundle:deps/openssl/init.lua'
no file 'bundle:libs/openssl'
no file 'bundle:libs/openssl.lua'
no file 'bundle:libs/openssl/init.lua'
no field package.preload['openssl']
no file './openssl.lua'
no file '/usr/local/share/luajit-2.1.0-beta2/openssl.lua'
no file '/usr/local/share/lua/5.1/openssl.lua'
no file '/usr/local/share/lua/5.1/openssl/init.lua'
no file './openssl.so'
no file '/usr/local/lib/lua/5.1/openssl.so'
no file '/usr/local/lib/lua/5.1/loadall.so'
stack traceback:
[C]: in function 'require'
[string "bundle:deps/ssh-rsa.lua"]:11: in main chunk
[string "bundle:luvit-loader.lua"]:200: in function <[string "bundle:luvit-loader.lua"]:195>
[C]: in function 'require'
[string "bundle:libs/core.lua"]:35: in main chunk
[string "bundle:luvit-loader.lua"]:200: in function <[string "bundle:luvit-loader.lua"]:195>
[C]: in function 'require'
[string "bundle:commands/make.lua"]:2: in function <[string "bundle:commands/make.lua"]:1>
[string "bundle:main.lua"]:52: in function <[string "bundle:main.lua"]:39>
[C]: in function 'xpcall'
[string "bundle:main.lua"]:39: in function <[string "bundle:main.lua"]:31>

==> ERROR: A failure occurred in build().
Aborting...